Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class RemittanceInformation15

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.RemittanceInformation15

    public class RemittanceInformation15
    extends java.lang.Object

Java class for RemittanceInformation15 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceInformation15">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ustrd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max140Text" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Strd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}StructuredRemittanceInformation15" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<StructuredRemittanceInformation15>` `strd`
`protected java.util.List<java.lang.String>` `ustrd`

### Constructor Summary

Constructors
`RemittanceInformation15()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<StructuredRemittanceInformation15>` `getStrd()` Gets the value of the strd property.
`java.util.List<java.lang.String>` `getUstrd()` Gets the value of the ustrd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ustrd

    protected java.util.List<java.lang.String> ustrd

#### strd

    protected java.util.List<StructuredRemittanceInformation15> strd

### Constructor Detail

#### RemittanceInformation15

    public RemittanceInformation15()

### Method Detail

#### getUstrd

    public java.util.List<java.lang.String> getUstrd()

Gets the value of the ustrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ustrd property.

For example, to add a new item, do as follows:

        getUstrd().add(newItem);

Objects of the following type(s) are allowed in the list `String`

#### getStrd

    public java.util.List<StructuredRemittanceInformation15> getStrd()

Gets the value of the strd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the strd property.

For example, to add a new item, do as follows:

        getStrd().add(newItem);

Objects of the following type(s) are allowed in the list `StructuredRemittanceInformation15`